using System;
using UnityEditor;
using UnityEngine;

[TypeDrawer]
public class BoundsTypeDrawer : ITypeDrawer
{
    public bool HandlesType(Type type, object value)
    {
        return type == typeof(Bounds);
    }

    public object DrawAndGetNewValue(Type memberType, string memberName, object value, object target)
    {
        return EditorGUILayout.BoundsField(memberName, (Bounds)value);
    }

    public void Destroy()
    {
    }
}